Loading...
Searching...
No Matches
OpenMesh::IO::_OFFWriter_ Class Reference

Implementation of the OFF format writer. More...

`#include <OpenMesh/Core/IO/writer/OFFWriter.hh>`

Inheritance diagram for OpenMesh::IO::_OFFWriter_:
[legend]
Collaboration diagram for OpenMesh::IO::_OFFWriter_:
[legend]

## Public Member Functions

std::string | get_description () const override
| Return short description of the supported file format.
std::string | get_extensions () const override
| Return file format's extension.
bool | write (const std::string &, BaseExporter &, const Options &, std::streamsize _precision=6) const override
| Write to a file.
bool | write (std::ostream &, BaseExporter &, const Options &_writeOptions, std::streamsize _precision=6) const override
| Write to a std::ostream.
size_t | binary_size (BaseExporter &_be, const Options &_opt) const override
| Returns expected size of file if binary format is supported else 0.
Public Member Functions inherited from OpenMesh::IO::BaseWriter
virtual | ~BaseWriter ()
| Destructor.
virtual bool | can_u_write (const std::string &_filename) const
| Returns true if writer can write _filename (checks extension).

## Protected Member Functions

void | writeValue (std::ostream &_out, int value) const
void | writeValue (std::ostream &_out, unsigned int value) const
void | writeValue (std::ostream &_out, float value) const
bool | write_ascii (std::ostream &_in, BaseExporter &, const Options &_writeOptions) const
bool | write_binary (std::ostream &_in, BaseExporter &, const Options &_writeOptions) const
Protected Member Functions inherited from OpenMesh::IO::BaseWriter
bool | check (BaseExporter &_be, const Options &_writeOptions) const

## Additional Inherited Members

Public Types inherited from OpenMesh::IO::BaseWriter
typedef unsigned int | Option

## Detailed Description

Implementation of the OFF format writer.

This class is singleton'ed by SingletonT to OFFWriter.

By passing Options to the write function you can manipulate the writing behavoir. The following options can be set:

Binary VertexNormal VertexColor VertexTexCoord FaceColor ColorAlpha

## Member Function Documentation

## binary_size()

size_t OpenMesh::IO::_OFFWriter_::binary_size | ( | BaseExporter & | ,
|  | const Options & | ) const

override virtual

Returns expected size of file if binary format is supported else 0.

Reimplemented from OpenMesh::IO::BaseWriter.

## get_description()

std::string OpenMesh::IO::_OFFWriter_::get_description | ( |  | ) | const

inline override virtual

Return short description of the supported file format.

Implements OpenMesh::IO::BaseWriter.

## get_extensions()

std::string OpenMesh::IO::_OFFWriter_::get_extensions | ( |  | ) | const

inline override virtual

Return file format's extension.

Implements OpenMesh::IO::BaseWriter.

## write() [1/2]

bool OpenMesh::IO::_OFFWriter_::write | ( | const std::string & | _filename,
|  | BaseExporter & | _be,
|  | const Options & | _writeOptions,
|  | std::streamsize | _precision = 6 ) const

override virtual

Write to a file.

Parameters

  _filename | write to file with the given filename
  _be | BaseExporter, which specifies the data source
  _writeOptions | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

## write() [2/2]

bool OpenMesh::IO::_OFFWriter_::write | ( | std::ostream & | _os,
|  | BaseExporter & | _be,
|  | const Options & | _writeOptions,
|  | std::streamsize | _precision = 6 ) const

override virtual

Write to a std::ostream.

Parameters

  _os | write to std::ostream
  _be | BaseExporter, which specifies the data source
  _writeOptions | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/writer/OFFWriter.hh
- OpenMesh/Core/IO/writer/OFFWriter.cc